import numpy as np
import pandas as pd
frame = pd.read_csv('graduation_frame.csv')
frame = frame.replace('\xc2\xa0', 0.0)
frame = frame.set_index('State')
for c in frame:
    col = frame[c]
    frame[c] = col.str.replace(',','').apply(np.float)
print(frame)
colname = 'Ph.D.'
normedphd = frame[colname]/frame.Population
sphd = normedphd.dropna().order(ascending=False)
print(sphd)
seq = sphd.drop('Georgia')
seq.plot(kind='bar', title="Normalized Student Representation of Georgia Tech by State")
